Skip to content

Transcriptions

POST
/v1/audio/transcriptions
curl --request POST \
--url https://example.com/v1/audio/transcriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=example \
--form model=auto \
--form language=example \
--form response_format=json
Media typemultipart/form-data
Body_transcriptions_v1_audio_transcriptions_post
object
file
required
File
string
model
Model
string
default: auto
language
Any of:
string
response_format
Response Format
string
default: json

Successful Response

Media typeapplication/json
TranscriptionResponse

OpenAI /v1/audio/transcriptions-compatible response. text is the only field OpenAI guarantees for response_format=json; extra fields (segments, language, duration, …) pass through for verbose_json.

object
text
required
Text
string
key
additional properties
any
Examplegenerated
{
"text": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}